package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.service.BankService;
import com.ecep.contract.vo.BankVo;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class BankTableCell<T> extends AsyncUpdateTableCell<T, Integer, BankVo> {
    public BankTableCell(BankService service) {
        setService(service);
    }

    @Override
    protected BankService getServiceBean() {
        return SpringApp.getBean(BankService.class);
    }

}
